Name: parallel 
Version: 20190822
Release: 1%{?dist}
Summary: GNU parallel is a shell tool for executing jobs in parallel using one or more computers.
License: GPLv3+
URL: https://www.gnu.org/software/parallel/
Source0: https://github.com/philipmather/parallel/archive/%{version}.tar.gz

Autoreq: 0
BuildRequires: autoconf automake gcc make %{_bindir}/pod2man
Requires: perl
# https://bugzilla.redhat.com/show_bug.cgi?id=1677583
#buildRequires: perl-generators

# Due to a naming conflict, both packages cannot be installed in parallel
# To prevent user confusion, GNU parallel is installed in a compatibility
# mode to be commandline compatible to moreutils' parallel.
# This mode can be turned off system wide or on a per-user base.
Conflicts: moreutils-parallel

%description
GNU Parallel is a shell tool for executing jobs in parallel using one or more
machines. A job is typically a single command or a small script that has to be
run for each of the lines in the input. The typical input is a list of files, a
list of hosts, a list of users, or a list of tables.

If you use xargs today you will find GNU Parallel very easy to use. If you
write loops in shell, you will find GNU Parallel may be able to replace most of
the loops and make them run faster by running jobs in parallel. If you use ppss
or pexec you will find GNU Parallel will often make the command easier to read.

GNU Parallel also makes sure output from the commands is the same output as you
would get had you run the commands sequentially. This makes it possible to use
output from GNU Parallel as input for other programs.

GNU Parallel is command-line-compatible with moreutils' parallel, but offers
additional features.

# Causes "Empty %files file /builddir/build/BUILD/parallel-20190822/debugsourcefiles.list" if not disabled
%global debug_package %{nil}

%prep
%autosetup -n %{name}-%{version}

%build
autoreconf -f -i

%configure --disable-documentation
%make_build
%install
rm -rf 
%make_install

%files
%{_bindir}/parallel
%{_bindir}/sql
%{_bindir}/niceload
%{_bindir}/parcat
%{_bindir}/parset
%{_bindir}/env_parallel
%{_bindir}/env_parallel.ash
%{_bindir}/env_parallel.bash
%{_bindir}/env_parallel.csh
%{_bindir}/env_parallel.dash
%{_bindir}/env_parallel.fish
%{_bindir}/env_parallel.ksh
%{_bindir}/env_parallel.mksh
%{_bindir}/env_parallel.pdksh
%{_bindir}/env_parallel.sh
%{_bindir}/env_parallel.tcsh
%{_bindir}/env_parallel.zsh
%{_bindir}/sem
%doc README NEWS
%license COPYING

%changelog
* Sun Aug 18 2019 Philip Mather
-
